%global momorel 1
Name:           clutter-gst2
Version:        2.0.18
Release: %{momorel}m%{?dist}
Summary:        GStreamer integration for Clutter

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/clutter-gst/2.0/clutter-gst-%{version}.tar.xz
NoSource: 0

BuildRequires:  clutter-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel

%description
Clutter is an open source software library for creating fast, visually
rich and animated graphical user interfaces.

Clutter GStreamer enables the use of GStreamer with Clutter.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Clutter is an open source software library for creating fast, visually
rich and animated graphical user interfaces.

Clutter GStreamer enables the use of GStreamer with Clutter.

The %{name}-devel package contains libraries and header files for
developing applications that use clutter-gst API version 2.0.

%prep
%setup -q -n clutter-gst-%{version}

%build
%configure
%make  V=1

%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove the documentation for now as it conflicts with the files in
# clutter-gst-devel. I'll work with upstream to fix this properly.
rm -rf %{buildroot}%{_datadir}/gtk-doc/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_libdir}/girepository-1.0/ClutterGst-2.0.typelib
%{_libdir}/gstreamer-1.0/libgstclutter.so
%{_libdir}/libclutter-gst-2.0.so.*

%files devel
%{_includedir}/clutter-gst-2.0/
%{_libdir}/libclutter-gst-2.0.so
%{_libdir}/pkgconfig/clutter-gst-2.0.pc
%{_datadir}/gir-1.0/ClutterGst-2.0.gir
#doc #{_datadir}/gtk-doc/

%changelog
* Thu Jan 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.18-1m)
- update to 2.0.18

* Mon May 25 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.16-1m)
- update to 2.0.16

* Sat Jan 31 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.14-1m)
- update to 2.0.14

* Sun Jun 22 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.12-1m)
- update to 2.0.12

* Fri Feb 21 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.10-1m)
- update to 2.0.10

* Sat Aug 31 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.6-1m)
- update to 2.0.6

* Mon Jun 24 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.4-1m)
- update 2.0.4

* Sun Jan 27 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.0.0-1m)
- update 2.0.0

* Fri Oct  5 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.9.92-1m)
- initial import from fedora
